> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Proxies

> Search Proxies on the customer account using various filters.




## OpenAPI

````yaml get /public/user/proxy/search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy/search:
    get:
      tags:
        - Proxy
      summary: Search Proxies
      description: |
        Search Proxies on the customer account using various filters.
      parameters:
        - name: proxy_id
          in: query
          description: ID of the proxy
          schema:
            type: integer
            format: string
        - name: service_id
          in: query
          description: Service ID associated with the proxy
          schema:
            type: string
        - name: proxy_ip_address
          in: query
          description: Main IP Address of the proxy
          schema:
            type: string
        - name: subnet_id
          in: query
          description: Main subnet of the proxy
          schema:
            type: string
        - name: subnet_id_v6
          in: query
          description: Main subnet of the proxy
          schema:
            type: string
        - name: ip_address_id_v4
          in: query
          description: IPv4 address ID of the proxy
          schema:
            type: string
        - name: ip_address_id_v6
          in: query
          description: IPv6 address ID of the proxy
          schema:
            type: string
        - name: proxy_http_port
          in: query
          description: http port of the proxy
          schema:
            type: integer
        - name: proxy_socks5_port
          in: query
          description: socks5 port of the proxy
          schema:
            type: integer
        - name: proxy_status
          in: query
          description: Current status of the proxy
          schema:
            type: string
            enum:
              - available
              - in_use
              - reserved
              - waiting
              - pending_deletion
        - name: proxy_type
          in: query
          description: Type of the proxies you want returned in the search
          schema:
            type: string
            enum:
              - isp
              - datacenter
              - residential
              - mobile
        - name: proxy_protocol
          in: query
          description: Version of the proxies you want returned in the search
          schema:
            type: string
            enum:
              - ipv4
              - ipv6
              - dual
        - name: country_id
          in: query
          description: >-
            ISO Country Code [(ISO 3166-1
            alpha-2)](https://www.iban.com/country-codes)
          schema:
            type: string
        - name: country_name
          in: query
          description: Name of the country the proxy is located in
          schema:
            type: string
        - name: subdivision_id
          in: query
          description: >-
            ISO Country Code [(ISO
            3166-2)](https://unece.org/trade/cefact/unlocode-code-list-country-and-territory)
          schema:
            type: string
        - name: subdivision_name
          in: query
          description: Name of the subdivision the proxy is located in
          schema:
            type: string
        - name: city_id
          in: query
          description: ID of the city the proxy is located in
          schema:
            type: integer
        - name: city_name
          in: query
          description: Name of the city the proxy is located in
          schema:
            type: string
        - name: city_timezone
          in: query
          description: Timezone of the City the proxy is located in
          schema:
            type: string
        - name: city_example_postcode
          in: query
          description: Example postcode of the City the proxy is located in
          schema:
            type: string
        - name: city_latitude
          in: query
          description: Latitude of the City the proxy is located in
          schema:
            type: string
        - name: city_longitude
          in: query
          description: Longitude of the City the proxy is located in
          schema:
            type: string
        - name: asn_id
          in: query
          description: Unique identifier of the ASN of the proxy
          schema:
            type: string
        - name: asn_name
          in: query
          description: Name associated with the ASN of the proxy
          schema:
            type: string
        - name: proxy_last_update_datetime
          in: query
          description: Datetime the proxy was last updated
          schema:
            type: string
            format: date-time
        - name: proxy_user_id
          in: query
          description: >-
            Filter proxies by proxy user access. Only returns proxies that the
            specified proxy user has access to.
          schema:
            type: string
        - name: per_page
          in: query
          description: Number of items per page for pagination
          schema:
            type: integer
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
        - name: sort_by
          in: query
          description: Key for sorting or random.
          schema:
            type: string
      responses:
        '200':
          description: Successful Proxy search
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ProxySuccessfulSearchResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            http_formatted:
                              type: string
                              example: 15.32.0.111:6000:yzrxnxD9:6Gh9Hm1Q
                            socks5_formatted:
                              type: string
                              example: 15.32.0.111:6000:yzrxnxD9:6Gh9Hm1Q
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    ProxySuccessfulSearchResponse:
      type: object
      properties:
        data:
          type: array
          description: >-
            Array of Proxy items matching the search criteria up to the limit of
            per_page paramater.
          items:
            type: object
            properties:
              asn_id:
                type: integer
                example: 7018
              asn_name:
                type: string
                example: AT&T Enterprises, LLC
              city_example_postcode:
                type: string
                example: '75202'
              city_id:
                type: integer
                example: 75202
              city_latitude:
                type: number
                example: 32.7767
              city_longitude:
                type: number
                example: -96.797
              city_name:
                type: string
                example: Dallas
              city_timezone:
                type: string
                example: America/Chicago
              country_id:
                type: string
                example: us
              country_name:
                type: string
                example: United States
              customer_id:
                type: integer
                example: 1955
              default_proxy_user_password:
                type: string
                example: apple1984
              default_proxy_user_username:
                type: string
                example: stevejobs
              ip_address_id_v4:
                type: string
                example: 107.225.73.142
              ip_address_id_v6:
                type: string
                example: 2600:1000:b12a:6351:8523:997e:93c4:f124
              proxy_http_port:
                type: integer
                example: 8080
              proxy_id:
                type: string
                example: 7a018d34-76c2-4c23-b14d-f7b9a7054e25
              proxy_ip_address:
                type: string
                example: 107.225.73.142
              proxy_ip_address_v6:
                type: string
                example: 2600:1000:b12a:6351:8523:997e:93c4:f124
              proxy_last_update_datetime:
                type: string
                format: date-time
              proxy_password:
                type: string
                example: DHf3PSQXQ7rw1v9
              proxy_protocol:
                type: string
                example: ipv4
                enum:
                  - ipv4
                  - ipv6
                  - dual
              proxy_socks5_port:
                type: integer
                example: 1080
              proxy_status:
                type: string
                example: in_use
                enum:
                  - available
                  - in_use
                  - reserved
                  - waiting
                  - pending_deletion
              proxy_type:
                type: string
                example: isp
                enum:
                  - datacenter
                  - isp
                  - residential
                  - mobile
              proxy_user_ids:
                type: array
                items:
                  type: string
                  example: stevejobs
              proxy_username:
                type: string
                example: att7018user
              service_id:
                type: string
                example: API-1234-5678
              subdivision_id:
                type: string
                example: us-tx
              subdivision_name:
                type: string
                example: Texas
              subnet_id:
                type: string
                example: 107.225.72.0/22
              subnet_id_v6:
                type: string
                example: 2600:1000::/28
        item_count:
          type: integer
          description: Total number of Proxy items returned in the data field.
        message:
          type: string
          description: Status message for the search.
        page:
          type: integer
          description: Current page number of the search results returned.
        per_page:
          type: integer
          description: Number of Proxy items returned per page.
        total_count:
          type: integer
          description: Total of Proxy items that match the search filter.
      description: Proxy search was successful.
      example:
        data:
          - asn_id: 7018
            asn_name: AT&T Enterprises, LLC
            city_example_postcode: '75202'
            city_id: 75202
            city_latitude: 32.7767
            city_longitude: -96.797
            city_name: Dallas
            city_timezone: America/Chicago
            country_id: us
            country_name: United States
            customer_id: 1955
            default_proxy_user_password: apple1984
            default_proxy_user_username: stevejobs
            ip_address_id_v4: 107.225.73.142
            ip_address_id_v6: 2600:1000:b12a:6351:8523:997e:93c4:f124
            proxy_http_port: 8080
            proxy_id: 7a018d34-76c2-4c23-b14d-f7b9a7054e25
            proxy_ip_address: 107.225.73.142
            proxy_ip_address_v6: 2600:1000:b12a:6351:8523:997e:93c4:f124
            proxy_last_update_datetime: '2024-03-12 09:30:00'
            proxy_password: DHf3PSQXQ7rw1v9
            proxy_protocol: ipv4
            proxy_socks5_port: 1080
            proxy_status: in_use
            proxy_type: isp
            proxy_user_ids:
              - stevejobs
            proxy_username: att7018user
            service_id: API-1234-5678
            subdivision_id: us-tx
            subdivision_name: Texas
            subnet_id: 107.225.72.0/22
            subnet_id_v6: 2600:1000::/28
        item_count: 1
        message: Proxy search successful.
        page: 1
        per_page: 10
        total_count: 1
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````